
ABOUT_TEMPLATE = """\
\"\"\"
~~~~~~~~~~ DO NOT EDIT THIS FILE! Autogenerated by `{regarding_name}` ~~~~~~~~~~
{regarding_homepage}
\"\"\"
import dataclasses
from typing import Optional


__all__ = ["project_name", "version", "version_info",
           "author", "author_email", "years", "description", "homepage"]


@dataclasses.dataclass
class Version:
    major: int
    minor: int
    micro: int
    dev: Optional[int]
    pre: Optional[tuple[str, int]]
    post: Optional[int]
    release_name: Optional[str]


project_name = "{project.name}"
version = "{project.version}"
version_info = Version(
    {project.version.major}, {project.version.minor}, {project.version.micro},
    {project.version.dev},
    {project.version.pre},
    {project.version.post},
    "{project.release_name}",
)

author = "{project.author}"
author_email = "{project.author_email}"
years = "{project.years}"
description = "{project.description}"
homepage = "{project.homepage}"


def versionBanner() -> str:
    \"\"\"Return the version string including release name.\"\"\"
    v = ""
    if version:
        v = version
        if version_info is not None and version_info.release_name:
            v = "%s (%s)" % (v, version_info.release_name)
    return v
"""
